# Image Service Info

Service discovery and information endpoints

## Show import information

> Returns information concerning the constraints around image import

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Image Service API v2","version":"2.0"},"tags":[{"name":"Image Service Info","description":"Service discovery and information endpoints"}],"servers":[{"url":"https://{host}/glance/v2","description":"PCD Image API v2","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"schemas":{"ImportInfo":{"type":"object","properties":{"import-methods":{"type":"object","properties":{"description":{"type":"string"},"type":{"type":"string"},"value":{"type":"array","items":{"type":"string"}}}}}},"Error":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"details":{"type":"string"}}}}}},"responses":{"BadRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Bad Request"},"Unauthorized":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized"},"Forbidden":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Forbidden"}}},"paths":{"/info/import":{"get":{"tags":["Image Service Info"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportInfo"}}},"description":"Import information retrieved successfully"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"}},"operationId":"showImportInfo","summary":"Show import information","description":"Returns information concerning the constraints around image import"}}}}
```

## Show available stores

> Returns information about available stores

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Image Service API v2","version":"2.0"},"tags":[{"name":"Image Service Info","description":"Service discovery and information endpoints"}],"servers":[{"url":"https://{host}/glance/v2","description":"PCD Image API v2","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"schemas":{"StoreInfo":{"type":"object","properties":{"stores":{"type":"array","items":{"type":"object","properties":{"id":{"description":"Store identifier","type":"string"},"description":{"description":"Store description","type":"string"},"default":{"description":"Whether this is the default store","type":"boolean"},"read-only":{"description":"Whether this store is read-only","type":"boolean"}}}}}},"Error":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"details":{"type":"string"}}}}}},"responses":{"NotFound":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not Found"}}},"paths":{"/info/stores":{"get":{"tags":["Image Service Info"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreInfo"}}},"description":"Store information retrieved successfully"},"404":{"$ref":"#/components/responses/NotFound"}},"operationId":"showStores","summary":"Show available stores","description":"Returns information about available stores"}}}}
```

## Show usage information

> Shows the user's quota and current usage

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Image Service API v2","version":"2.0"},"tags":[{"name":"Image Service Info","description":"Service discovery and information endpoints"}],"servers":[{"url":"https://{host}/glance/v2","description":"PCD Image API v2","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"schemas":{"UsageInfo":{"type":"object","properties":{"usage":{"type":"object","properties":{"image_size_total":{"type":"object","properties":{"limit":{"type":"integer"},"usage":{"type":"integer"}}},"image_count_total":{"type":"object","properties":{"limit":{"type":"integer"},"usage":{"type":"integer"}}},"image_stage_total":{"type":"object","properties":{"limit":{"type":"integer"},"usage":{"type":"integer"}}},"image_count_uploading":{"type":"object","properties":{"limit":{"type":"integer"},"usage":{"type":"integer"}}}}}}}}},"paths":{"/info/usage":{"get":{"tags":["Image Service Info"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsageInfo"}}},"description":"Usage information retrieved successfully"}},"operationId":"showUsageInfo","summary":"Show usage information","description":"Shows the user's quota and current usage"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform9.com/api-docs/image-service/image-service-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
